# Generated by Django 5.0.2 on 2024-03-06 13:52

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("artd_partner", "0002_alter_coworker_dni_alter_coworker_first_name_and_more"),
        ("artd_product", "0006_alter_category_banner_image_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="ShopifyApiCredential",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Designates whether this record is active or not.",
                        verbose_name="status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date time on which the object was created.",
                        verbose_name="created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date time on which the object was last updated.",
                        verbose_name="updated at",
                    ),
                ),
                (
                    "vendor",
                    models.CharField(
                        help_text="Shopify Vendor.",
                        max_length=100,
                        verbose_name="Vendor",
                    ),
                ),
                (
                    "store_key",
                    models.CharField(
                        help_text="Shopify Store Key.",
                        max_length=255,
                        verbose_name="store key",
                    ),
                ),
                (
                    "api_version",
                    models.CharField(
                        help_text="Shopify API Version.",
                        max_length=255,
                        verbose_name="API version",
                    ),
                ),
                (
                    "access_token",
                    models.TextField(
                        blank=True,
                        help_text="Shopify Access Token.",
                        null=True,
                        verbose_name="access token",
                    ),
                ),
                (
                    "product_counter",
                    models.PositiveIntegerField(
                        default=0,
                        help_text="Shopify Product Counter.",
                        verbose_name="product counter",
                    ),
                ),
                (
                    "brand_prefix",
                    models.CharField(
                        blank=True,
                        help_text="Shopify Brand Prefix.",
                        max_length=255,
                        null=True,
                        verbose_name="brand prefix",
                    ),
                ),
                (
                    "category_regular_expression",
                    models.CharField(
                        blank=True,
                        help_text="Shopify Category Regular Expression.",
                        max_length=255,
                        null=True,
                        verbose_name="category regular expression",
                    ),
                ),
                (
                    "partner",
                    models.OneToOneField(
                        help_text="Partner associated with this credential.",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                        verbose_name="partner",
                    ),
                ),
            ],
            options={
                "verbose_name": "Shopify API Credential",
                "verbose_name_plural": "Shopify API Credentials",
            },
        ),
        migrations.CreateModel(
            name="ShopifyAppCredential",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Designates whether this record is active or not.",
                        verbose_name="status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date time on which the object was created.",
                        verbose_name="created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date time on which the object was last updated.",
                        verbose_name="updated at",
                    ),
                ),
                (
                    "vendor",
                    models.CharField(
                        help_text="Shopify Vendor.",
                        max_length=100,
                        verbose_name="vendor",
                    ),
                ),
                (
                    "api_version",
                    models.CharField(
                        help_text="Shopify API Version.",
                        max_length=255,
                        verbose_name="API version",
                    ),
                ),
                (
                    "api_key",
                    models.CharField(
                        help_text="Shopify API Key.",
                        max_length=255,
                        verbose_name="API key",
                    ),
                ),
                (
                    "api_password",
                    models.CharField(
                        help_text="Shopify API Password.",
                        max_length=255,
                        verbose_name="API password",
                    ),
                ),
                (
                    "store_url",
                    models.CharField(
                        help_text="Shopify Store URL.",
                        max_length=255,
                        verbose_name="store URL",
                    ),
                ),
                (
                    "callback_url",
                    models.URLField(
                        help_text="Shopify Callback URL.", verbose_name="callback URL"
                    ),
                ),
                (
                    "auth_url",
                    models.TextField(
                        blank=True,
                        help_text="Shopify Auth URL.",
                        null=True,
                        verbose_name="auth URL",
                    ),
                ),
                (
                    "access_token",
                    models.TextField(
                        blank=True,
                        help_text="Shopify Access Token.",
                        null=True,
                        verbose_name="access token",
                    ),
                ),
                (
                    "partner",
                    models.OneToOneField(
                        help_text="Partner associated with this credential.",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                        verbose_name="partner",
                    ),
                ),
            ],
            options={
                "verbose_name": "Shopify Credential",
                "verbose_name_plural": "Shopify Credentials",
            },
        ),
        migrations.CreateModel(
            name="ShopifyBrand",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Designates whether this record is active or not.",
                        verbose_name="status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date time on which the object was created.",
                        verbose_name="created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date time on which the object was last updated.",
                        verbose_name="updated at",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Shopify Brand Name.",
                        max_length=255,
                        verbose_name="name",
                    ),
                ),
                (
                    "artd_partner",
                    models.ForeignKey(
                        help_text="ArtD Partner associated with this category.",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                        verbose_name="artd partner",
                    ),
                ),
            ],
            options={
                "verbose_name": "Shopify Brand",
                "verbose_name_plural": "Shopify Brands",
            },
        ),
        migrations.CreateModel(
            name="ShopifyCategory",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Designates whether this record is active or not.",
                        verbose_name="status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date time on which the object was created.",
                        verbose_name="created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date time on which the object was last updated.",
                        verbose_name="updated at",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Shopify Category Name.",
                        max_length=255,
                        verbose_name="name",
                    ),
                ),
                (
                    "json_data",
                    models.JSONField(
                        default=dict,
                        help_text="Shopify Category JSON Data.",
                        verbose_name="json data",
                    ),
                ),
                (
                    "artd_partner",
                    models.ForeignKey(
                        help_text="ArtD Partner associated with this category.",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                        verbose_name="artd partner",
                    ),
                ),
                (
                    "artd_tax",
                    models.ForeignKey(
                        blank=True,
                        help_text="ArtD Tax associated with this category.",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_product.tax",
                        verbose_name="artd tax",
                    ),
                ),
            ],
            options={
                "verbose_name": "Shopify Category",
                "verbose_name_plural": "Shopify Categories",
            },
        ),
        migrations.CreateModel(
            name="ShopifyGraphQlCredential",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Designates whether this record is active or not.",
                        verbose_name="status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date time on which the object was created.",
                        verbose_name="created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date time on which the object was last updated.",
                        verbose_name="updated at",
                    ),
                ),
                (
                    "vendor",
                    models.CharField(
                        help_text="Shopify Vendor.",
                        max_length=100,
                        verbose_name="Vendor",
                    ),
                ),
                (
                    "store_key",
                    models.CharField(
                        help_text="Shopify Store Key.",
                        max_length=255,
                        verbose_name="store key",
                    ),
                ),
                (
                    "api_version",
                    models.CharField(
                        help_text="Shopify API Version.",
                        max_length=255,
                        verbose_name="API version",
                    ),
                ),
                (
                    "api_key",
                    models.CharField(
                        help_text="Shopify API Key.",
                        max_length=255,
                        verbose_name="API key",
                    ),
                ),
                (
                    "api_secret",
                    models.CharField(
                        help_text="Shopify API Secret.",
                        max_length=255,
                        verbose_name="API secret",
                    ),
                ),
                (
                    "access_token",
                    models.TextField(
                        blank=True,
                        help_text="Shopify Access Token.",
                        null=True,
                        verbose_name="access token",
                    ),
                ),
                (
                    "product_counter",
                    models.PositiveIntegerField(
                        default=0,
                        help_text="Shopify Product Counter.",
                        verbose_name="product counter",
                    ),
                ),
                (
                    "brand_prefix",
                    models.CharField(
                        blank=True,
                        help_text="Shopify Brand Prefix.",
                        max_length=255,
                        null=True,
                        verbose_name="brand prefix",
                    ),
                ),
                (
                    "category_regular_expression",
                    models.CharField(
                        blank=True,
                        help_text="Shopify Category Regular Expression.",
                        max_length=255,
                        null=True,
                        verbose_name="category regular expression",
                    ),
                ),
                (
                    "partner",
                    models.OneToOneField(
                        help_text="Partner associated with this credential.",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                        verbose_name="partner",
                    ),
                ),
            ],
            options={
                "verbose_name": "Shopify GraphQl Credential",
                "verbose_name_plural": "Shopify GraphQl Credentials",
            },
        ),
        migrations.CreateModel(
            name="ShopifyProduct",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True,
                        help_text="Designates whether this record is active or not.",
                        verbose_name="status",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Date time on which the object was created.",
                        verbose_name="created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True,
                        help_text="Date time on which the object was last updated.",
                        verbose_name="updated at",
                    ),
                ),
                (
                    "product_id",
                    models.CharField(
                        help_text="Shopify Product ID.",
                        max_length=255,
                        verbose_name="product id",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        blank=True,
                        help_text="Shopify Product Name.",
                        max_length=255,
                        null=True,
                        verbose_name="name",
                    ),
                ),
                (
                    "json_data",
                    models.JSONField(
                        default=dict,
                        help_text="Shopify Product JSON Data.",
                        verbose_name="json data",
                    ),
                ),
                (
                    "processed",
                    models.BooleanField(
                        default=False,
                        help_text="Designates whether this product is processed or not.",
                        verbose_name="processed",
                    ),
                ),
                (
                    "partner",
                    models.ForeignKey(
                        help_text="Partner associated with this product.",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                        verbose_name="partner",
                    ),
                ),
            ],
            options={
                "verbose_name": "Shopfy Product",
                "verbose_name_plural": "Shopfy Products",
            },
        ),
    ]
