# Generated by Django 5.0.2 on 2024-03-27 02:15

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        (
            "artd_partner",
            "0005_alter_coworker_created_at_alter_coworker_updated_at_and_more",
        ),
        (
            "artd_product",
            "0013_rename_secondary_mini_image_category_secondary_mini_image",
        ),
        ("artd_shopify", "0004_rename_partner_shopifyroottag_artd_partner_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="shopifyroottag",
            name="category",
        ),
        migrations.AddField(
            model_name="shopifyroottag",
            name="root_category",
            field=models.ForeignKey(
                blank=True,
                help_text="ArtD Category associated with this tag.",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_product.rootcategory",
                verbose_name="Root category",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyapicredential",
            name="access_token",
            field=models.TextField(
                blank=True,
                help_text="Shopify Access Token.",
                null=True,
                verbose_name="Access token",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyapicredential",
            name="brand_prefix",
            field=models.CharField(
                blank=True,
                help_text="Shopify Brand Prefix.",
                max_length=255,
                null=True,
                verbose_name="Brand prefix",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyapicredential",
            name="category_regular_expression",
            field=models.CharField(
                blank=True,
                help_text="Shopify Category Regular Expression.",
                max_length=255,
                null=True,
                verbose_name="Category regular expression",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyapicredential",
            name="created_at",
            field=models.DateTimeField(
                auto_now_add=True,
                help_text="Date time on which the object was created.",
                verbose_name="Created at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyapicredential",
            name="partner",
            field=models.OneToOneField(
                help_text="Partner associated with this credential.",
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_partner.partner",
                verbose_name="Partner",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyapicredential",
            name="product_counter",
            field=models.PositiveIntegerField(
                default=0,
                help_text="Shopify Product Counter.",
                verbose_name="Product counter",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyapicredential",
            name="status",
            field=models.BooleanField(
                default=True,
                help_text="Designates whether this record is active or not.",
                verbose_name="Status",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyapicredential",
            name="store_key",
            field=models.CharField(
                help_text="Shopify Store Key.", max_length=255, verbose_name="Store key"
            ),
        ),
        migrations.AlterField(
            model_name="shopifyapicredential",
            name="updated_at",
            field=models.DateTimeField(
                auto_now=True,
                help_text="Date time on which the object was last updated.",
                verbose_name="Updated at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyappcredential",
            name="access_token",
            field=models.TextField(
                blank=True,
                help_text="Shopify Access Token.",
                null=True,
                verbose_name="Access token",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyappcredential",
            name="auth_url",
            field=models.TextField(
                blank=True,
                help_text="Shopify Auth URL.",
                null=True,
                verbose_name="Auth URL",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyappcredential",
            name="callback_url",
            field=models.URLField(
                help_text="Shopify Callback URL.", verbose_name="Callback URL"
            ),
        ),
        migrations.AlterField(
            model_name="shopifyappcredential",
            name="created_at",
            field=models.DateTimeField(
                auto_now_add=True,
                help_text="Date time on which the object was created.",
                verbose_name="Created at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyappcredential",
            name="partner",
            field=models.OneToOneField(
                help_text="Partner associated with this credential.",
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_partner.partner",
                verbose_name="Partner",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyappcredential",
            name="status",
            field=models.BooleanField(
                default=True,
                help_text="Designates whether this record is active or not.",
                verbose_name="Status",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyappcredential",
            name="store_url",
            field=models.CharField(
                help_text="Shopify Store URL.", max_length=255, verbose_name="Store URL"
            ),
        ),
        migrations.AlterField(
            model_name="shopifyappcredential",
            name="updated_at",
            field=models.DateTimeField(
                auto_now=True,
                help_text="Date time on which the object was last updated.",
                verbose_name="Updated at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyappcredential",
            name="vendor",
            field=models.CharField(
                help_text="Shopify Vendor.", max_length=100, verbose_name="Vendor"
            ),
        ),
        migrations.AlterField(
            model_name="shopifybrand",
            name="artd_partner",
            field=models.ForeignKey(
                help_text="ArtD Partner associated with this category.",
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_partner.partner",
                verbose_name="Artd partner",
            ),
        ),
        migrations.AlterField(
            model_name="shopifybrand",
            name="created_at",
            field=models.DateTimeField(
                auto_now_add=True,
                help_text="Date time on which the object was created.",
                verbose_name="Created at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifybrand",
            name="name",
            field=models.CharField(
                help_text="Shopify Brand Name.", max_length=255, verbose_name="Name"
            ),
        ),
        migrations.AlterField(
            model_name="shopifybrand",
            name="status",
            field=models.BooleanField(
                default=True,
                help_text="Designates whether this record is active or not.",
                verbose_name="Status",
            ),
        ),
        migrations.AlterField(
            model_name="shopifybrand",
            name="updated_at",
            field=models.DateTimeField(
                auto_now=True,
                help_text="Date time on which the object was last updated.",
                verbose_name="Updated at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifycategory",
            name="artd_partner",
            field=models.ForeignKey(
                help_text="ArtD Partner associated with this category.",
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_partner.partner",
                verbose_name="Artd partner",
            ),
        ),
        migrations.AlterField(
            model_name="shopifycategory",
            name="artd_tax",
            field=models.ForeignKey(
                blank=True,
                help_text="ArtD Tax associated with this category.",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_product.tax",
                verbose_name="Artd tax",
            ),
        ),
        migrations.AlterField(
            model_name="shopifycategory",
            name="created_at",
            field=models.DateTimeField(
                auto_now_add=True,
                help_text="Date time on which the object was created.",
                verbose_name="Created at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifycategory",
            name="json_data",
            field=models.JSONField(
                default=dict,
                help_text="Shopify Category JSON Data.",
                verbose_name="Json data",
            ),
        ),
        migrations.AlterField(
            model_name="shopifycategory",
            name="name",
            field=models.CharField(
                help_text="Shopify Category Name.", max_length=255, verbose_name="Name"
            ),
        ),
        migrations.AlterField(
            model_name="shopifycategory",
            name="status",
            field=models.BooleanField(
                default=True,
                help_text="Designates whether this record is active or not.",
                verbose_name="Status",
            ),
        ),
        migrations.AlterField(
            model_name="shopifycategory",
            name="updated_at",
            field=models.DateTimeField(
                auto_now=True,
                help_text="Date time on which the object was last updated.",
                verbose_name="Updated at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifygraphqlcredential",
            name="access_token",
            field=models.TextField(
                blank=True,
                help_text="Shopify Access Token.",
                null=True,
                verbose_name="Access token",
            ),
        ),
        migrations.AlterField(
            model_name="shopifygraphqlcredential",
            name="brand_prefix",
            field=models.CharField(
                blank=True,
                help_text="Shopify Brand Prefix.",
                max_length=255,
                null=True,
                verbose_name="Brand prefix",
            ),
        ),
        migrations.AlterField(
            model_name="shopifygraphqlcredential",
            name="category_regular_expression",
            field=models.CharField(
                blank=True,
                help_text="Shopify Category Regular Expression.",
                max_length=255,
                null=True,
                verbose_name="Category regular expression",
            ),
        ),
        migrations.AlterField(
            model_name="shopifygraphqlcredential",
            name="created_at",
            field=models.DateTimeField(
                auto_now_add=True,
                help_text="Date time on which the object was created.",
                verbose_name="Created at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifygraphqlcredential",
            name="partner",
            field=models.OneToOneField(
                help_text="Partner associated with this credential.",
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_partner.partner",
                verbose_name="Partner",
            ),
        ),
        migrations.AlterField(
            model_name="shopifygraphqlcredential",
            name="product_counter",
            field=models.PositiveIntegerField(
                default=0,
                help_text="Shopify Product Counter.",
                verbose_name="Product counter",
            ),
        ),
        migrations.AlterField(
            model_name="shopifygraphqlcredential",
            name="status",
            field=models.BooleanField(
                default=True,
                help_text="Designates whether this record is active or not.",
                verbose_name="Status",
            ),
        ),
        migrations.AlterField(
            model_name="shopifygraphqlcredential",
            name="store_key",
            field=models.CharField(
                help_text="Shopify Store Key.", max_length=255, verbose_name="Store key"
            ),
        ),
        migrations.AlterField(
            model_name="shopifygraphqlcredential",
            name="updated_at",
            field=models.DateTimeField(
                auto_now=True,
                help_text="Date time on which the object was last updated.",
                verbose_name="Updated at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyproduct",
            name="created_at",
            field=models.DateTimeField(
                auto_now_add=True,
                help_text="Date time on which the object was created.",
                verbose_name="Created at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyproduct",
            name="json_data",
            field=models.JSONField(
                default=dict,
                help_text="Shopify Product JSON Data.",
                verbose_name="Json data",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyproduct",
            name="name",
            field=models.CharField(
                blank=True,
                help_text="Shopify Product Name.",
                max_length=255,
                null=True,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyproduct",
            name="partner",
            field=models.ForeignKey(
                help_text="Partner associated with this product.",
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_partner.partner",
                verbose_name="Partner",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyproduct",
            name="processed",
            field=models.BooleanField(
                default=False,
                help_text="Designates whether this product is processed or not.",
                verbose_name="Processed",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyproduct",
            name="product_id",
            field=models.CharField(
                help_text="Shopify Product ID.",
                max_length=255,
                verbose_name="Product id",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyproduct",
            name="status",
            field=models.BooleanField(
                default=True,
                help_text="Designates whether this record is active or not.",
                verbose_name="Status",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyproduct",
            name="updated_at",
            field=models.DateTimeField(
                auto_now=True,
                help_text="Date time on which the object was last updated.",
                verbose_name="Updated at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyroottag",
            name="artd_partner",
            field=models.ForeignKey(
                help_text="ArtD Partner associated with this tag.",
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_partner.partner",
                verbose_name="Partner",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyroottag",
            name="created_at",
            field=models.DateTimeField(
                auto_now_add=True,
                help_text="Date time on which the object was created.",
                verbose_name="Created at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyroottag",
            name="root_tag",
            field=models.CharField(
                help_text="Shopify Root Tag.", max_length=255, verbose_name="Root tag"
            ),
        ),
        migrations.AlterField(
            model_name="shopifyroottag",
            name="status",
            field=models.BooleanField(
                default=True,
                help_text="Designates whether this record is active or not.",
                verbose_name="Status",
            ),
        ),
        migrations.AlterField(
            model_name="shopifyroottag",
            name="updated_at",
            field=models.DateTimeField(
                auto_now=True,
                help_text="Date time on which the object was last updated.",
                verbose_name="Updated at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifytag",
            name="artd_partner",
            field=models.ForeignKey(
                help_text="ArtD Partner associated with this tag.",
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_partner.partner",
                verbose_name="Artd partner",
            ),
        ),
        migrations.AlterField(
            model_name="shopifytag",
            name="category",
            field=models.ForeignKey(
                blank=True,
                help_text="ArtD Category associated with this tag.",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="artd_product.category",
                verbose_name="Category",
            ),
        ),
        migrations.AlterField(
            model_name="shopifytag",
            name="created_at",
            field=models.DateTimeField(
                auto_now_add=True,
                help_text="Date time on which the object was created.",
                verbose_name="Created at",
            ),
        ),
        migrations.AlterField(
            model_name="shopifytag",
            name="status",
            field=models.BooleanField(
                default=True,
                help_text="Designates whether this record is active or not.",
                verbose_name="Status",
            ),
        ),
        migrations.AlterField(
            model_name="shopifytag",
            name="tag",
            field=models.CharField(
                help_text="Shopify Tag.", max_length=255, verbose_name="Tag"
            ),
        ),
        migrations.AlterField(
            model_name="shopifytag",
            name="updated_at",
            field=models.DateTimeField(
                auto_now=True,
                help_text="Date time on which the object was last updated.",
                verbose_name="Updated at",
            ),
        ),
    ]
